Delete DNS records
Delete DNS records for the selected domain.
Delete DNS records for the selected domain.
To filter which records to delete, add the name of the record and type to the filter.
Multiple filters can be provided with single request.
If you have multiple records with the same name and type, and you want to delete only part of them,
refer to the Update zone records endpoint.
Use this endpoint to remove specific DNS records from domains.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
domainstringRequiredExample:
Domain name
mydomain.tldBody
Responses
200
Success response
application/json
messagestringOptionalExample:
Request accepted401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
delete/api/dns/v1/zones/{domain}
DELETE /api/dns/v1/zones/{domain} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"filters": [
{
"name": "@",
"type": "A"
}
]
}{
"message": "Request accepted"
}Last updated
Was this helpful?